﻿namespace BizHawk.Client.EmuHawk
{
	public interface IControlMainform
	{
		bool WantsToControlReadOnly { get; }
        /// <summary>
        /// Function that is called by Mainform instead of using its own code 
        /// when a Tool sets WantsToControlReadOnly.
        /// Should not be called directly.
        /// </summary>
		void ToggleReadOnly();

		bool WantsToControlStopMovie { get; }
        /// <summary>
        /// Function that is called by Mainform instead of using its own code 
        /// when a Tool sets WantsToControlStopMovie.
        /// Should not be called directly.
        /// <remarks>Like MainForm's StopMovie(), saving the movie is part of this function's responsibility.</remarks>
        /// </summary>
		void StopMovie();
	}
}
